Name: kgrub 
Summary: A GUI Config tools for grub 
Version: 0.3 
Release: 14AX 
License: GPL
Group: System Environment/Base 
Source0: kgrub-0.3.tgz
Source1: kgrub.mo-ja
Source2: kgrub_ko.mo
Source3: kgrub_tw.mo
Patch0: kgrub-define-assert.patch 
Patch1: kgrub-qt-lib.patch 
BuildRoot: %{_tmppath}/kgrub-buildroot
Prereq: /sbin/chkconfig

%description
A GUI Config tools for grub

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/kgrub.mo
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES/kgrub.mo
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/kgrub.mo
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%post

%preun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/kgrub
/usr/bin/rootdev
/usr/share/locale

%changelog
* Fri Apr 27 2007 Shu Li <shuli@redflag-linux.com> 0.3-14AX
- Add kgrub_tw.mo for traditional Chinese .
- Add patch kgrub-qt-lib.patch change include lib form libqt to libqt-mt.

* Mon Apr 16 2007 Shu Li <shuli@redflag-linux.com> 0.3-12AX
- Add patch kgrub-define-assert.patch to define assert.

* Thu Nov 24 2005 Nam, Kwonwoo <kwnam@haansoft.com> 0.3-11
- add korean language support

* Wed Apr 07 2004 dc <chengding@redflag-linux.com> 0.3-10
- handle sdxxx cciss/xxx ....
* Wed Feb 26 2004 dc <dc@redflag-linux.com>
- add ja.mo 
* Mon Jun 2 2003 dc <dc@redflag-linux.com>
- update for kde31
* Mon Sep 17 2002 dc <dc@redflag-linux.com>
- first build 
